## org.beepcore.beep.profile.sasl.otp
Class SequenceZeroFailure

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.beepcore.beep.core.BEEPException
                  org.beepcore.beep.profile.sasl.SASLException
                      org.beepcore.beep.profile.sasl.AuthenticationFailureException
                          org.beepcore.beep.profile.sasl.otp.SequenceZeroFailure

All Implemented Interfaces:
  java.io.Serializable

public class SequenceZeroFailure
extends AuthenticationFailureException

This exception is used when a user attempts to authenticate via SASL OTP and it is determined that the user has no more valid hashes left in their OTP database. It's distinct from the error used when an OTP database isn't found in that it allows the receiver to programmatically prompt the user to do an init-hex or init-word command to re-establish an OTP database.

See Also:
  Serialized Form

Constructor Summary
`SequenceZeroFailure()`

Methods inherited from class org.beepcore.beep.core.BEEPException
`getCause, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SequenceZeroFailure

    public SequenceZeroFailure()

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.